[arch-commits] Commit in mythtv/repos (5 files)

Allan McRae allan at archlinux.org
Sat May 9 08:00:57 EDT 2009


    Date: Saturday, May 9, 2009 @ 08:00:56
  Author: allan
Revision: 38572

fix SVN conflict

Added:
  mythtv/repos/extra-x86_64/mythtv-dvb.patch
    (from rev 38569, mythtv/trunk/mythtv-dvb.patch)
  mythtv/repos/extra-x86_64/mythtv-ffmpeg.patch
    (from rev 38569, mythtv/trunk/mythtv-ffmpeg.patch)
Modified:
  mythtv/repos/extra-x86_64/	(properties)
  mythtv/repos/extra-x86_64/PKGBUILD
  mythtv/repos/extra-x86_64/mythbackend

---------------------+
 PKGBUILD            |   47 ++++++++++++++++++++++++++---------------------
 mythbackend         |    1 -
 mythtv-dvb.patch    |   21 +++++++++++++++++++++
 mythtv-ffmpeg.patch |   18 ++++++++++++++++++
 4 files changed, 65 insertions(+), 22 deletions(-)


Property changes on: mythtv/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /mythtv/trunk:1
   + /mythtv/trunk:1-38571

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-05-09 10:57:27 UTC (rev 38571)
+++ extra-x86_64/PKGBUILD	2009-05-09 12:00:56 UTC (rev 38572)
@@ -5,25 +5,33 @@
 
 pkgname=mythtv
 pkgver=0.21
-pkgrel=1
+pkgrel=2
 pkgdesc="A Homebrew PVR project"
 arch=('i686' 'x86_64')
+url="http://www.mythtv.org/"
+license=('GPL2')
+groups=('pvr')
 depends=('bash' 'mysql-clients>=5.0' 'qt3' 'lame' 'lirc-utils' 'ffmpeg' \
 	'libxvmc')
+makedepends=(libgl)
 backup=(etc/mythtv/mythbackend.conf etc/mythtv/mysql.txt)
-source=("ftp://ftp.osuosl.org/pub/mythtv/${pkgname}-${pkgver}.tar.bz2"\
-	mythbackend\
+install=mythtv.install
+source=(ftp://ftp.osuosl.org/pub/mythtv/${pkgname}-${pkgver}.tar.bz2
+        mythtv-dvb.patch
+        mythtv-ffmpeg.patch
+	mythbackend
 	QUICKSTART.archlinux)
-md5sums=('49fc135e1cde90cd935c1229467fa37e' '6544fb0045661bfb65876a83ca04a319'\
+md5sums=('49fc135e1cde90cd935c1229467fa37e'
+         '64e065ae63711935575665a1f60d51e1'
+         '47399b97437fdf2ed26e7b0cdac80afd'
+         '75614f43b579fcae870a7c128038f147'
          'a0ecb7f476cb71c0c1ac90d349fc7695')
-license=('GPL2')
-makedepends=(libgl python)
-groups=('pvr')
-url="http://www.mythtv.org/"
-install=mythtv.install
 
 build() {
-   cd $startdir/src/${pkgname}-${pkgver} || return 1
+   cd $srcdir/${pkgname}-${pkgver} || return 1
+   patch -Np1 -i $srcdir/mythtv-dvb.patch
+   patch -Np1 -i $srcdir/mythtv-ffmpeg.patch
+
    . /etc/profile.d/qt3.sh
 
    # use QT3 qmake
@@ -45,21 +53,18 @@
    make || return 1
 
    # basic install
-   make INSTALL_ROOT=$startdir/pkg install || return 1
+   make INSTALL_ROOT=$pkgdir install || return 1
    
    # install db schema
-   install -m0644 database/mc.sql $startdir/pkg/usr/share/mythtv/ \
-   	|| return 1
-   install -D -m0755 ../mythbackend $startdir/pkg/etc/rc.d/mythbackend \
-   	|| return 1
-   cp -r docs $startdir/pkg/usr/share/mythtv/ || return 1
-   cp ../QUICKSTART.archlinux $startdir/pkg/usr/share/mythtv/ \
-   	|| return 1
+   install -m0644 database/mc.sql $pkgdir/usr/share/mythtv/ || return 1
+   install -D -m0755 ../mythbackend $pkgdir/etc/rc.d/mythbackend || return 1
+   cp -r docs $pkgdir/usr/share/mythtv/ || return 1
+   cp ../QUICKSTART.archlinux $pkgdir/usr/share/mythtv/ || return 1
 
    # install contrib
-   mkdir -p $startdir/pkg/usr/share/mythtv/contrib || return 1
-   install -m0755 contrib/* $startdir/pkg/usr/share/mythtv/contrib
+   mkdir -p $pkgdir/usr/share/mythtv/contrib || return 1
+   install -m0755 contrib/* $pkgdir/usr/share/mythtv/contrib
 
    # set suid on mythfrontend
-   chmod a+s $startdir/pkg/usr/bin/mythfrontend
+   chmod a+s $pkgdir/usr/bin/mythfrontend
 }

Modified: extra-x86_64/mythbackend
===================================================================
--- extra-x86_64/mythbackend	2009-05-09 10:57:27 UTC (rev 38571)
+++ extra-x86_64/mythbackend	2009-05-09 12:00:56 UTC (rev 38572)
@@ -7,7 +7,6 @@
 case "$1" in
   start)
     stat_busy "Starting MythTV Backend"
-    [ ! -e /var/run/mysqld.pid ] && echo -n "mysqld not started" && stat_fail && exit
     [ -z "$PID" ] && /usr/bin/mythbackend -d -l /var/log/mythbackend.log -p /var/run/mythbackend.pid -v important 
     if [ $? -gt 0 ]; then
       stat_fail

Copied: mythtv/repos/extra-x86_64/mythtv-dvb.patch (from rev 38569, mythtv/trunk/mythtv-dvb.patch)
===================================================================
--- extra-x86_64/mythtv-dvb.patch	                        (rev 0)
+++ extra-x86_64/mythtv-dvb.patch	2009-05-09 12:00:56 UTC (rev 38572)
@@ -0,0 +1,21 @@
+diff -Naur mythtv-0.21-old/libs/libmythtv/dvbtypes.h mythtv-0.21/libs/libmythtv/dvbtypes.h
+--- mythtv-0.21-old/libs/libmythtv/dvbtypes.h	2007-01-08 01:29:30.000000000 +1000
++++ mythtv-0.21/libs/libmythtv/dvbtypes.h	2009-05-09 18:00:29.000000000 +1000
+@@ -19,7 +19,7 @@
+ #include <linux/dvb/frontend.h>
+ #include <linux/dvb/dmx.h>
+ 
+-#if (DVB_API_VERSION != 3)
++#if (DVB_API_VERSION != 3 && DVB_API_VERSION != 5) 
+ #    error "DVB driver includes with API version 3 not found!"
+ #endif
+ 
+@@ -27,7 +27,7 @@
+ #    define DVB_API_VERSION_MINOR 0
+ #endif
+ 
+-#if (DVB_API_VERSION >= 3 && DVB_API_VERSION_MINOR >= 1)
++#if ((DVB_API_VERSION == 3 && DVB_API_VERSION_MINOR >= 1) || (DVB_API_VERSION > 3)) 
+ #    define USE_ATSC
+ #else
+ #warning DVB API version < 3.1

Copied: mythtv/repos/extra-x86_64/mythtv-ffmpeg.patch (from rev 38569, mythtv/trunk/mythtv-ffmpeg.patch)
===================================================================
--- extra-x86_64/mythtv-ffmpeg.patch	                        (rev 0)
+++ extra-x86_64/mythtv-ffmpeg.patch	2009-05-09 12:00:56 UTC (rev 38572)
@@ -0,0 +1,18 @@
+diff -Naur mythtv-0.21-old/libs/libmythtv/mpeg/pespacket.cpp mythtv-0.21/libs/libmythtv/mpeg/pespacket.cpp
+--- mythtv-0.21-old/libs/libmythtv/mpeg/pespacket.cpp	2006-09-08 04:55:03.000000000 +1000
++++ mythtv-0.21/libs/libmythtv/mpeg/pespacket.cpp	2009-05-09 19:46:15.000000000 +1000
+@@ -6,10 +6,10 @@
+ 
+ extern "C" {
+ #include "mythconfig.h"
+-#include "../libavcodec/avcodec.h"
+-#include "../libavformat/avformat.h"
+-#include "../libavutil/crc.h"
+-#include "../libavutil/bswap.h"
++#include "libavcodec/avcodec.h"
++#include "libavformat/avformat.h"
++#include "libavutil/crc.h"
++#include "libavutil/bswap.h"
+ }
+ 
+ #include <vector>



More information about the arch-commits mailing list